import java.io.*;


class fa extends f_xj
{
 double func (double p[])
 {
    return (p[0]-2)*(p[0]-2) + (p[1]-20)*(p[1]-20)+1.0;
 }
}


class nelder
{
    public static void main(String args[]) throws IOException
    {
    fa f=new fa();
    double x[][]=  {{ 7.0, -20.0},
                    { 10.0, 11.0},
                    { 11.0, 10.0}};

    double p[]=Numeric.nelder(f,x,300,1.0e-20,1);
    System.out.println(Matrix.toString(p));
    }
}
